Pokemon Masters Developers Looking To Increase Compatibility With More Mobile Devices | NintendoSoup
Pokemon Masters Developers Looking To Increase Compatibility With More Mobile Devices

Pokemon Masters Developers Looking To Increase Compatibility With More Mobile Devices

Although Pokemon Masters recently had its global launch, it seems not everyone was able to join in the fun.

Specifically, the current version of the game only runs on mobile devices running iOS version 11 or higher, and Android Version 5.0 or higher at 64 bits, with at least 2GB of RAM. Unfortunately, not all interested players own smartphones with these specifications, meaning that they are unable to play the game without buying a new phone.

According to sources, the developers are aware of this issue and are looking into ways to expand compatibility to more devices in the future. That said, it is unknown when these proposed updates will be rolled out. We will continue to monitor the story and bring more information as it comes.

What do you think? Let us know in the comments.

Source:

Via 1, Via 2